all : carterrain

carterrain : main.o glode.o trig.o geometry.o intro.o car.o camera.o skybox.o splash.o timer.o loop.o controls.o menu.o
	gcc main.o glode.o trig.o geometry.o intro.o car.o camera.o skybox.o splash.o timer.o loop.o controls.o menu.o -o carterrain -lagl `allegro-config --libs` -lGL -lGLU -lode

main.o : main.cpp
	gcc -c main.cpp -o main.o -O3

glode.o : glode.cpp
	gcc -c glode.cpp -o glode.o -O3

trig.o : trig.cpp
	gcc -c trig.cpp -o trig.o -O3

geometry.o : geometry.cpp
	gcc -c geometry.cpp -o geometry.o -O3

intro.o : intro.cpp
	gcc -c intro.cpp -o intro.o -O3

car.o : car.cpp
	gcc -c car.cpp -o car.o -O3

camera.o : camera.cpp
	gcc -c camera.cpp -o camera.o -O3

skybox.o : skybox.cpp
	gcc -c skybox.cpp -o skybox.o -O3

splash.o : splash.cpp
	gcc -c splash.cpp -o splash.o -O3

timer.o : timer.cpp
	gcc -c timer.cpp -o timer.o -O3

loop.o : loop.cpp
	gcc -c loop.cpp -o loop.o -O3

controls.o : controls.cpp
	gcc -c controls.cpp -o controls.o -O3

menu.o : menu.cpp
	gcc -c menu.cpp -o menu.o -O3

clean :
	rm carterrain main.o glode.o trig.o geometry.o intro.o car.o camera.o skybox.o splash.o timer.o loop.o controls.o menu.o

